Bug 437364 - mkinitrd does not included needed drivers to mount root
mkinitrd does not included needed drivers to mount root
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 14:08 EDT by Doug Chapman
Modified: 2010-02-17 16:44 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-14 13:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from mkinitrd -v (6.94 KB, text/plain)
2008-03-13 14:08 EDT, Doug Chapman
no flags Details

  None (edit)
Description Doug Chapman 2008-03-13 14:08:30 EDT
Description of problem:
I have seen this on ia64 and x86_64 with recent rawhide trees (20080312 since
0313 appears to be bad).  Both systems are using cciss for the root filesystem
so that might be related however I also don't see any other hardware specific
device drivers so I dont' think it is just cciss.

The install proceedes as expected but fails to mount root on the first boot.

I booted rescue mode and manually ran mkinitrd with -v and saved the output.  I
will attach this.  Odd thing is I _do_ see "Looking for driver for device
cciss/c0d0p2" however it still does not include the cciss.ko module.





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2008-03-13 14:08:30 EDT
Created attachment 297962 [details]
output from mkinitrd -v
Comment 2 Doug Chapman 2008-03-13 14:21:34 EDT
Might not be mkinitrd's issue.  I noticed there was no /etc/modprobe.conf.  I
manually created it and it then pulls in the modules to initrd.img.

What component creates /etc/modprobe.conf at install time?  Is that done by
anaconda or something that anaconda calls?

Comment 3 Doug Chapman 2008-03-14 13:15:28 EDT
Appears to be sane with today's ia64 build closing this.

Note You need to log in before you can comment on or make changes to this bug.